com.holonplatform.vaadin.flow.examples

## Class ExampleNavigation5.View

- java.lang.Object
- - com.vaadin.flow.component.Component
  - - com.vaadin.flow.component.HtmlComponent
    - - com.vaadin.flow.component.HtmlContainer
      - - com.vaadin.flow.component.html.Div
        - - com.holonplatform.vaadin.flow.examples.ExampleNavigation5.View

- All Implemented Interfaces:
    com.vaadin.flow.component.AttachNotifier, com.vaadin.flow.component.ClickNotifier<com.vaadin.flow.component.html.Div>, com.vaadin.flow.component.DetachNotifier, com.vaadin.flow.component.HasComponents, com.vaadin.flow.component.HasElement, com.vaadin.flow.component.HasEnabled, com.vaadin.flow.component.HasSize, com.vaadin.flow.component.HasStyle, com.vaadin.flow.component.HasText, Serializable
  Enclosing class:
    ExampleNavigation5

      @Route(value="some/path")
      public class ExampleNavigation5.View
      extends com.vaadin.flow.component.html.Div

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `View()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processParameters()`

    - ### Methods inherited from class com.vaadin.flow.component.HtmlComponent

      `getTitle, setTitle`

    - ### Methods inherited from class com.vaadin.flow.component.Component

      `from, getChildren, getElement, getId, getParent, getTranslation, getTranslation, getUI, isVisible, onEnabledStateChanged, setId, setVisible`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.vaadin.flow.component.ClickNotifier

      `addClickListener, addClickShortcut`

    - ### Methods inherited from interface com.vaadin.flow.component.HasComponents

      `add, add, addComponentAsFirst, addComponentAtIndex, remove, removeAll`

    - ### Methods inherited from interface com.vaadin.flow.component.HasEnabled

      `isEnabled, setEnabled`

    - ### Methods inherited from interface com.vaadin.flow.component.HasElement

      `getElement`

    - ### Methods inherited from interface com.vaadin.flow.component.HasText

      `getText, setText`

    - ### Methods inherited from interface com.vaadin.flow.component.HasSize

      `getHeight, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getWidth, setHeight, setHeightFull, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setSizeFull, setSizeUndefined, setWidth, setWidthFull`

    - ### Methods inherited from interface com.vaadin.flow.component.HasStyle

      `addClassName, addClassNames, getClassName, getClassNames, getStyle, hasClassName, removeClassName, removeClassNames, setClassName, setClassName`

    - ### Methods inherited from interface com.vaadin.flow.component.AttachNotifier

      `addAttachListener`

    - ### Methods inherited from interface com.vaadin.flow.component.DetachNotifier

      `addDetachListener`

- - ### Constructor Detail

    - #### View

          public View()

  - ### Method Detail

    - #### processParameters

          @OnShow
          public void processParameters()

Copyright © 2020 The Holon Platform. All rights reserved.